@import "../global";
// @import url("https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;500;600;700;800;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Nunito+Sans:opsz,wght@6..12,300;6..12,400;6..12,500;6..12,600;6..12,700;6..12,800;6..12,900&display=swap");

html {
  font-size: 62.5%; // 1rem = 10px
}

body {
  font-size: 16px;
  @include changeScrollbar();
}

*,
*::after,
*::before {
  // font-family: "Nunito", sans-serif;
  font-family: "Nunito Sans", sans-serif;
  box-sizing: border-box;

  padding: 0;
  margin: 0;
}

button {
  display: block;
  outline: none;

  background-color: $primary-color;
  color: white;
  border: 2px solid $primary-color;
  border-radius: 0.6rem;

  font-size: 16px;
  line-height: 0.1;

  padding: 1.2rem 1rem;

  @include clickEffect();
}

input,
textarea,
select {
  width: 100%;

  border: 1px solid gray;
  border-radius: 0.4rem;
  font-size: 16px;

  padding: 0.3rem 0.6rem;

  @include respondTo(mobile) {
    padding: 0.68rem;
  }

  &:focus {
    outline: 3px solid rgba(30, 144, 255, 0.32);
    border: 1px solid rgba(30, 144, 255, 0.48);
  }
}
select {
  cursor: pointer;

  padding: 0.3rem 0;
}
